abstract class Waehrung {
    private double betrag;

    public Waehrung(double betrag) {
        this.betrag = betrag;
    }

    public double getBetrag() {
        return betrag;
    }

    public void setBetrag(double betrag) {
        this.betrag = betrag;
    }

    public abstract double dollarBetrag();
}